docs

# AnimationContent

data class AnimationContent ( val media: AnimationFile , val includedDocument: DocumentFile ?, val text: String ?, val textSources: TextSourcesList = emptyList()) : TextedMediaContent
Content copied to clipboard

## Constructors

AnimationContent
Link copied to clipboard
fun AnimationContent ( media: AnimationFile , includedDocument: DocumentFile ?, text: String ?, textSources: TextSourcesList = emptyList())
Content copied to clipboard

## Functions

asTelegramMedia
Link copied to clipboard
open override fun asTelegramMedia (): TelegramMediaAnimation
Content copied to clipboard
createResend
Link copied to clipboard
open override fun createResend ( chatId: ChatIdentifier , disableNotification: Boolean , protectContent: Boolean , replyToMessageId: MessageIdentifier ?, allowSendingWithoutReply: Boolean ?, replyMarkup: KeyboardMarkup ?): Request < ContentMessage < AnimationContent >>
Content copied to clipboard

## Properties

includedDocument
Link copied to clipboard
val includedDocument : DocumentFile ?
Content copied to clipboard
media
Link copied to clipboard
open override val media : AnimationFile
Content copied to clipboard
text
Link copied to clipboard
open override val text : String ?
Content copied to clipboard
textSources
Link copied to clipboard
open override val textSources : TextSourcesList
Content copied to clipboard

Full list of TextSources